import type { PluginInterface } from '@microfleet/core-types';
import type { Microfleet } from '@microfleet/core';
import { Cluster, type ClusterNode, type ClusterOptions } from 'ioredis';
declare module '@microfleet/core-types' {
    interface Microfleet {
        redis: Cluster;
        redisType: 'redisCluster';
    }
    interface ConfigurationOptional {
        redis: Config;
    }
}
export interface Config {
    hosts: ClusterNode[];
    options: ClusterOptions & {
        keyPrefix?: string;
    };
    luaScripts: string | string[];
}
/**
 * Plugin name
 */
export declare const name = "redis";
/**
 * Plugin type
 */
export declare const type: "database";
/**
 * Relative priority inside the same plugin group type
 */
export declare const priority = 10;
/**
 * Attaches Redis Cluster plugin.
 * @param  [conf={}] - Configuration for Redis Cluster Connection.
 * @returns Connections and Destructors.
 */
export declare function attach(this: Microfleet, opts?: Partial<Config>): Promise<PluginInterface>;
//# sourceMappingURL=redis-cluster.d.ts.map